###################################################################
#	/home/rigel/persson/iraf/wfirc/scripts/			  #
#	Version that works on '.fits' files			  #
#	only checks the first frame of the loop			  #
#	for the lowest numbered chip used.		          #
#								  #
#       Edited by J.Wilson 2/00	to remove reduce_parameters	  #
###################################################################

procedure chk_headers ( n1, n2)

int n1, n2


begin
	int i
	string pic, pre

	pre = "irx"
pclear ( "reduce_parameters" )
print ( n1," ",n2, > "reduce_parameters" )


for ( i = n1 ; i <= n2 ; i += 1) {
	     if ( i < 10 ) {
		pic = pre//"_0000"//i//"_c1_001"
}	else if ( i < 100 ) {
		pic = pre//"_000"//i//"_c1_001"
}	else if ( i < 1000 ) {
		pic = pre//"_00"//i//"_c1_001"
}       else if ( i < 10000 ) {
		pic = pre//"_0"//i//"_c1_001"
}	else if ( i < 100000 ) {
		pic = pre//"_"//i//"_c1_001"
}	else { }

if ( access ( pic//".fits")) {
hselect ( pic, "$I, object, obstype, filter, exptime, nloops, airmass, night", "yes" )		   
			   }
}
	
end
