procedure p_avesky ( p1, p2 )

##########################################################
# This task combines the dither to create an average	 #
# sky subtracted image for each pointing. This average	 #
# file will be used for creating an object mask.	 #
# Input is a list of the isx*fits files.		 #
# Output is ave_isx*fits files--one per pointing.	 #
# latest version K Koviak 10/23/03                       #
##########################################################

int p1, p2
struct	  *lista

begin

string	  thefile, reffile, refold, prename, biglist
string    type, anothername, astro_list, root
int	  i
file	  comblist

i=0

pclear ("surflist")
pclear ("comblist")

p_pre_list ( "isx", p1, p2 )
biglist = "isx_list"

# main while loop to determine when the ref frame has changed
  lista = "" ; lista = biglist
  while (fscan (lista,thefile) !=EOF) {

  keypar(thefile,"referenc")
  reffile = str(keypar.value)

# write first file to begin list
if (i==0) {
#   prename = substr(thefile,1,9)
    prename = "isx"//substr(thefile,4,9)

   print (prename,>> "comblist")

   refold=reffile
   i = i+1

# add file to list if same ref file as prior frame
} else if (reffile==refold) {

#   prename = substr(thefile,1,9)
    prename = "isx"//substr(thefile,4,9)

   print (prename,>> "comblist")

      refold=reffile 

# for example, if it's not the first file, and the ref file has changed,
# then combine the files currently in the lists
} else {
    prename = "isx"//substr(refold,4,9)
#   prename = substr(refold,1,9)
    pclear ("ave_"//prename//".fits")
   p_avecomb ("comblist", "ave_"//prename)

   pclear("comblist")
   pclear("brlist")
   
# begin new lists starting with current file
#   prename = substr(thefile,1,9)
    prename = "isx"//substr(thefile,4,9)

   print (prename,>> "comblist")



   i=0
   } 
    

# closing brace in while loop
}

#  call avecomb for the last set of frames, since they did not
#  trigger reffile != oldref

#   prename = substr(refold,1,9)
    prename = "isx"//substr(refold,4,9)

   p_avecomb ("comblist", "ave_"//prename)

   pclear("comblist")
   pclear("brlist")
#   delete ("mode1.dat")
#   delete ("modes1.dat")
   pclear ("off.dat")
   pclear ("offs.dat")


lista = ""

end
