procedure padindex (number)
#
# Take an integer and convert it into an ndigit string padded by 
# zeros in the front if necessary. 
#    For example, change 1508 to 01508 to put into irp_01508.fits
#
#
#   Paul Martini
#   2003 Apr 12
#   Rev:  29nov2003  SEP

int number     {prompt = "Input image number" }
int ngoal      {"5", prompt = "Number of digits desired" }
bool verbose   {no, prompt = "Print output? "}
string output  {"",prompt = "Return value of output string"}

begin

  int ndigits
  string snumber, pnumber, onumber 

  nchars(number)
  ndigits = nchars.output
  snumber = str(number)

    pnumber = "0000"//snumber
    onumber = substr(pnumber,strlen(pnumber)-4,strlen(pnumber))

  output = onumber 
  if (verbose) print(output) 

end

