procedure reset (filelist)

#############################################################
#  Written by P McCarthy and J Wilson, 8/21/99		    #
#							    #
#  Renormalize offsets to be positive                       #
#                                                           # 
#                                                           #
#							    #
#############################################################

struct	  *list1, *list2
struct    *alist
string	  filelist	{prompt="List of input files"}

begin

string	  filename, old_name, dither_name, root_name, subroot
real      old_xshift, xref, xshift, yshift
real      old_yshift, yref, x3, y3
int       i

# put images into a list file
  list1 = "" ; list1 = filelist


#       initialize file lists

        pclear ("objects_xy.dat")
        old_name = ""
        xref = 0.0
        yref = 0.0
        x3 = 0.0
        y3 = 0.0
        i = 0
        old_xshift = 0.0
        old_yshift = 0.0
        alist = ""
        root_name = ""
  
  while (fscan (list1,filename) != EOF)  {

#          pull out xoff and yoff and refernce file name
 
           keypar (filename, "referenc")
           dither_name = str(keypar.value)

           keypar (filename, "xoff")
           xshift = real(keypar.value)

           keypar (filename, "yoff")
           yshift = real(keypar.value)

           if (i == 0) {
           xref = 0.0
           yref = 0.0
#          print (xref, yref)
           old_name = dither_name
}
           else {}
           
           if (dither_name == old_name) { 

           if (xshift <= xref) xref = xshift

           if (yshift <= yref) yref = yshift

#          print (xref, yref)
           i = i + 1
}
           else { 

#          print ("xref = ", xref, "", "yref =", yref)
 
  list2 = "" ; list2 = filelist
 while (fscan (list2,filename) != EOF)  {

#   get file root names
           root_name = substr(filename,1,9)
	   subroot = substr(filename,5,9)
#   pull out xoff and yoff and refernce file name

           keypar (filename, "referenc")
           dither_name = str(keypar.value)

           keypar (filename, "xoff")
           xshift = real(keypar.value)

           keypar (filename, "yoff")
           yshift = real(keypar.value)

           if (dither_name == old_name) {
           x3 = xshift - xref
           y3 = yshift - yref

#          print ("yshift=","",yshift,"yref=","",yref,"y3 =","",y3)
 
           parkey (x3, root_name//"_c1", "XOFF2", add+)
           parkey (y3, root_name//"_c1", "YOFF2", add+)
#           parkey (x3, "icx_"//subroot//"_c1", "XOFF2", add+)
#           parkey (y3, "icx_"//subroot//"_c1", "YOFF2", add+)
           parkey (x3, "idf_"//subroot//"_c1", "XOFF2", add+)
           parkey (y3, "idf_"//subroot//"_c1", "YOFF2", add+) 

           parkey (x3, root_name//"_c2", "XOFF2", add+)
           parkey (y3, root_name//"_c2", "YOFF2", add+)
#           parkey (x3, "icx_"//subroot//"_c2", "XOFF2", add+)
#           parkey (y3, "icx_"//subroot//"_c2", "YOFF2", add+)
           parkey (x3, "idf_"//subroot//"_c2", "XOFF2", add+)
           parkey (y3, "idf_"//subroot//"_c2", "YOFF2", add+)

           parkey (x3, root_name//"_c3", "XOFF2", add+)
           parkey (y3, root_name//"_c3", "YOFF2", add+)
#           parkey (x3, "icx_"//subroot//"_c3", "XOFF2", add+)
#           parkey (y3, "icx_"//subroot//"_c3", "YOFF2", add+)
           parkey (x3, "idf_"//subroot//"_c3", "XOFF2", add+)
           parkey (y3, "idf_"//subroot//"_c3", "YOFF2", add+)


           parkey (x3, root_name//"_c4", "XOFF2", add+)
           parkey (y3, root_name//"_c4", "YOFF2", add+)
#           parkey (x3, "icx_"//subroot//"_c4", "XOFF2", add+)
#           parkey (y3, "icx_"//subroot//"_c4", "YOFF2", add+)
           parkey (x3, "idf_"//subroot//"_c4", "XOFF2", add+)
           parkey (y3, "idf_"//subroot//"_c4", "YOFF2", add+)


  
}
           else { }
}   # close second while loop

           old_name = dither_name
           i = 0
           
}  # close else for dither_name neq old_name

          
# }   # close second while loop

}   # close first while loop


           alist = "" ; alist = filelist
           while (fscan (alist,filename) != EOF)  {

#   get root name
           root_name = substr(filename,1,9)
	   subroot = substr(filename,5,9)
#   pull out xoff and yoff and refernce file name

           keypar (filename, "referenc")
           dither_name = str(keypar.value)
           

           keypar (filename, "xoff")
           xshift = real(keypar.value)

           keypar (filename, "yoff")
           yshift = real(keypar.value)

           if (dither_name == old_name) {
           x3 = xshift - xref
           y3 = yshift - yref

           parkey (x3, root_name//"_c1", "XOFF2", add+)
           parkey (y3, root_name//"_c1", "YOFF2", add+)
#           parkey (x3, "icx_"//subroot//"_c1", "XOFF2", add+)
#           parkey (y3, "icx_"//subroot//"_c1", "YOFF2", add+)
           parkey (x3, "idf_"//subroot//"_c1", "XOFF2", add+)
           parkey (y3, "idf_"//subroot//"_c1", "YOFF2", add+)


           parkey (x3, root_name//"_c2", "XOFF2", add+)
           parkey (y3, root_name//"_c2", "YOFF2", add+)
#           parkey (x3, "icx_"//subroot//"_c2", "XOFF2", add+)
#           parkey (y3, "icx_"//subroot//"_c2", "YOFF2", add+)
           parkey (x3, "idf_"//subroot//"_c2", "XOFF2", add+)
           parkey (y3, "idf_"//subroot//"_c2", "YOFF2", add+)


           parkey (x3, root_name//"_c3", "XOFF2", add+)
           parkey (y3, root_name//"_c3", "YOFF2", add+)
#           parkey (x3, "icx_"//subroot//"_c3", "XOFF2", add+)
#           parkey (y3, "icx_"//subroot//"_c3", "YOFF2", add+)
           parkey (x3, "idf_"//subroot//"_c3", "XOFF2", add+)
           parkey (y3, "idf_"//subroot//"_c3", "YOFF2", add+)


           parkey (x3, root_name//"_c4", "XOFF2", add+)
           parkey (y3, root_name//"_c4", "YOFF2", add+)
#           parkey (x3, "icx_"//subroot//"_c4", "XOFF2", add+)
#           parkey (y3, "icx_"//subroot//"_c4", "YOFF2", add+)
           parkey (x3, "idf_"//subroot//"_c4", "XOFF2", add+)
           parkey (y3, "idf_"//subroot//"_c4", "YOFF2", add+)


#          print ("xref = ", xref, "", "yref =", yref)

}
           else { }
}
# clean up

end
