procedure mk_crdlist ( sixcols )

string sixcols
struct *list1

#  Takes the pairs file 'crd_pairs', which has
#  six columns, and compresses columns 3-4 and 
#  5-6 to one list of pairs with no repetitions.
#  The output file is 'crdlist'

begin
	int p1, p2, p1t, p2t
	p1t = 0 ; p2t = 0

 	pclear("dummy") ; pclear("dum3") ; pclear("dum5")
	pclear ("dum35") ; pclear ("crdlist")
	copy (sixcols, "dummy")

!awk '{print $3,$4}' dummy > dum3
!awk '{print $5,$6}' dummy > dum5
!cat dum3 dum5 | sort -n > dum35

	list1 = "" ; list1 = "dum35"
	while ( fscan ( list1, p1, p2 ) != EOF )  {

	  if ( p1 != p1t && p2 != p2t ) {
           print ( p1,"   ",p2, >> "crdlist")
	   p1t = p1 ; p2t = p2
					}
						  }
end

