procedure p_2go ( n1, n2 )

int n1, n2
struct *list1

begin
	string date, std, obj, hwc, stack, filter, path, onumber
	string f[4]
	real ng, sum, etime, airmass, zmag, dmag_air
	real ngt[4]
	int k, i, p1, p2

	f[1] = "Y" ; f[2] = "J" ; f[3] = "H" ; f[4] = "K"

	pclear ( "ngt_Y" ) ; pclear ( "ngt_J" ) ; pclear ( "ngt_H" ) ; pclear ( "ngt_K" ) 
	pclear ( "ngt_Y_av" ) ; pclear ( "ngt_J_av" ) ; pclear ( "ngt_H_av" ) ; pclear ( "ngt_K_av" ) 

#	Get night constants out of 'ngt_date' file

	padindex (n1 ) ; onumber= padindex.output
	keypar("irp_"//onumber//"_001","NIGHT", silent+)
	date = str(keypar.value)

	if ( access ( "ngt_"//date ))	{
	
	pclear ( "ngtdate") ; copy ( "ngt_"//date, "ngtdate")

	  !awk '$6 ~ /Y/ {print $8}' ngtdate >> ngt_Y
	  !awk '$6 ~ /J/ {print $8}' ngtdate >> ngt_J
	  !awk '$6 ~ /H/ {print $8}' ngtdate >> ngt_H
	  !awk '$6 ~ /K/ {print $8}' ngtdate >> ngt_K
					
	for ( i = 1 ; i <= 4 ; i += 1)	{

#	Average the values

	  k = 0 ; sum = 0. ; ngt[i] = 26.00

	list1 = "" ; list1 = "ngt_"//f[i]
	while ( fscan ( list1, ng ) != EOF)	{

	  k += 1
	  sum += ng
						}
	if ( k >= 1 ) ngt[i] = sum/k
					}

#	Store night constants

	path = "home$panic_files/"
	printf ("%s%10.3f%10.3f%10.3f%10.3f\n", date,ngt[1],ngt[2],ngt[3],ngt[4], >> path//"night_constants")
	printf ("%s%10.3f%10.3f%10.3f%10.3f\n", date,ngt[1],ngt[2],ngt[3],ngt[4])

#	Insert zmag into stack headers

	pclear ( "all_pairs" )
	!cat std_pairs unc_pairs crd_pairs > all_pairs

	if ( access ( "all_pairs" ))	{

	list1 = "" ; list1 = "all_pairs"
	while ( fscan ( list1, p1, p2 ) != EOF ) {

	std = "stk_std_"//p1//"_"//p2
	obj = "stack_test_"//p1//"_"//p2//"a"
	hwc = "chen_"//p1//"_"//p2

	if ( access ( std//".fits")) stack = std
	if ( access ( obj//".fits")) stack = obj

	  keypar(stack,"FILTER",silent+)
	  filter = str(keypar.value)

	  keypar(stack,"EXPTIME",silent+)
	  etime = real(keypar.value)

	  keypar(stack,"AIRMASS",silent+)
	  airmass = real(keypar.value)

          if ( filter == "Yc" ) dmag_air = 0.10*(airmass - 1.0)
          if ( filter == "Yc" ) i = 1
          if ( filter == "Jc" ) dmag_air = 0.12*(airmass - 1.0)
          if ( filter == "Jc" ) i = 2
          if ( filter == "Hc" ) dmag_air = 0.04*(airmass - 1.0)
          if ( filter == "Hc" ) i = 3
          if ( filter == "Ks" ) dmag_air = 0.08*(airmass - 1.0)
          if ( filter == "Ks" ) i = 4

	zmag = 20.000 + 1.0857*log(etime) - dmag_air - ngt[i]

	parkey ( zmag, stack, "ZMAG", add+)

#	if ( access ( hwc//".fits" )) parkey ( zmag, hwc, "ZMAG", add+)

						}

#	Store engineering data

	p_engr ( "all_pairs" )

	} else { 
			psorry ("all_pairs") 
		}

	}  else	{
			psorry ("ngt_"//date)
		}
end






