procedure p_chk_headers ( n1, n2 )

int n1, n2

#	home$/panic_scripts/p_chk_headers.cl
#
#  Extracts header information from raw PANIC frames 
#  (prefix 'irp') with numbers between n1 and n2. 
#
#  Usage  
#	  p_chk_headers n1  n2 >  arb_name 
#
#  The resulting file 'arb_name' should then be 
#  checked and edited to fix title, object,
#  obstype, airmass and night parameters. Works
#  in conjunction with 'p_fix_headers'.


begin
	int i
	string onumber, frame

  for ( i = n1 ; i <= n2 ; i += 1)	{

	padindex(i) ; onumber = padindex.output
	frame = "irp_"//onumber//"_001.fits"
	
  if ( access ( frame )) {
  hselect ( frame, "$I, title, object, obstype, airmass, night", "yes" )
				 }	   
					}
end
