procedure p_dark ( n1, n2 )

int n1, n2
struct *list1

#  Searches through loop-combined 'icp' frames for darks, and 
#  creates 'dk_exptime_date' frames.
#  Expects only one 'icp' frame per exptime.
#  Expects the directory "home$panic_files/darks" to exist
#  so that the darks can be stored for future use if needed. 

begin
	int etime
	string icp_frame, type, date, padtime, default_path

	
	p_pre_list ( "icp", n1, n2 )

	list1 = ""; list1 = "icp_list"
	while (fscan (list1, icp_frame ) != EOF )	{

	keypar (icp_frame, "OBSTYPE", silent+)
	type = str(keypar.value)

	if ( type == "dark" )	{

	  keypar (icp_frame, "EXPTIME", silent+)
	  etime = int(real(keypar.value))

	    padindex(etime) ; padtime = substr(padindex.output,3,5)

	  keypar (icp_frame, "NIGHT", silent+)
	  date = str(keypar.value)

	pclear ( "dk_"//padtime//"_"//date )
	imcopy ( icp_frame, "dk_"//padtime//"_"//date )

	default_path = "home$panic_files/darks" 
	copy ( icp_frame//".fits", default_path )

	}	else	{}

}
end
