procedure p_defaults ( n1 )

int n1
struct *list1

#  Specifies where to get default flats, darks, and bp_masks.
#  Formats:
#
#  nptflatJc_23Feb2004     home$panic_files/flats/
#  npdflatHc_23Feb2004     home$panic_files/flats/
#  dk_020_23Feb2004        home$panic_files/darks/
#  mask_08Jul2004          home$panic_files/bp_masks/
#
#  n1 is some frame during the night or run being processed.

begin
	string date, pic, ftype, path_to_it, onumber

#	Get the date out of the header of pic n1

	padindex(n1) ; onumber = padindex.output
	keypar("izp_"//onumber//"_001.fits","NIGHT",silent+)
	date=str(keypar.value)

	if ( access ( "defaults" )) 	{

	list1 = "" ; list1 = "defaults"
	while ( fscan ( list1, ftype, path_to_it ) != EOF ) {

#	Flats

	  if (substr(ftype,1,2) == "np") {

	    pclear ( substr(ftype,1,10)//date )
	    imcopy ( path_to_it//ftype, substr(ftype,1,10)//date )
				         }
#	Darks

	  if (substr(ftype,1,2) == "dk") {

	    pclear ( substr(ftype,1,7)//date )
	    imcopy ( path_to_it//ftype, substr(ftype,1,7)//date )
				         }
#	Badpixel masks

	  if (substr(ftype,1,2) == "ma") {

	    pclear ( "mask_"//date//".pl"  )
	    imcopy ( path_to_it//ftype, "mask_"//date//".pl" )
				         }
						}
	} else {}					    

end
	

