procedure p_mfid ( flag , autman)

string flag {prompt="Process flag"}
string autman	{"aut",enum="aut|man",prompt="Automatic or manual star selection?"}
struct *list1

#  Multiple 'p_fid' operates on frames 
#  in the lists of pairs files specified by 'flag'.
#  The decoding of 'flag' is as in 'p_1go.cl'.

begin

	int nf, i, p1, p2, p3, p4, p5, p6
	bool unc, crd, std
	string onumber, date

	unc = no ; crd = no ; std = no
	nf = strlen(flag)
	  for ( i = 1; i <= nf; i += 1 ) 	{
            if ( substr(flag,i,i) == "u") unc = yes 
            if ( substr(flag,i,i) == "c") crd = yes 
            if ( substr(flag,i,i) == "s") std = yes
						}
   p_load

#  ID stars in list of uncrowded pairs

	if(unc)	{
	  if ( access ( "unc_pairs" ))	{

	list1 = "" ; list1 = "unc_pairs"
	while ( fscan ( list1, p1, p2 ) != EOF )   {

	 p_fid ( p1, p2, autman )
						   }
					} else {
	    psorry ( "unc_pairs") 
						}
		} else {}

#  ID stars in list of crowded pairs
#  First off-source

	if(crd)	{
	  if ( access ( "crd_pairs" ))	{

	mk_crdlist ("crd_pairs")

	list1 = "" ; list1 = "crdlist"
	while ( fscan ( list1, p1, p2 ) != EOF )   {

	    p_fid ( p1, p2, autman ) 
						   }
#  Now on-source
#  Here we call a variant of 'p_fid' assuming that the
#  on-source frame is extremely crowded. The sky frames stored 
#  in the off-source sequence above are averaged and used.  

	list1 = "" ; list1 = "crd_pairs"
	while ( fscan ( list1, p1, p2, p3, p4, p5, p6 ) != EOF )   {

	    p_fid_c ( p1, p2, p3, p4, p5, p6 ) 
						   }
					} else {
	    psorry ( "crd_pairs") 
						}
		} else {}

#  Now standard stars

	if(std)	{
	  if ( access ( "std_pairs" ))	{

	list1 = "" ; list1 = "std_pairs"
	while ( fscan ( list1, p1, p2 ) != EOF )   {

	 p_fid ( p1, p2 , autman)
						   }
					} else {
	    psorry ( "std_pairs") 
						}
		} else {}
end
 
