procedure p_norm ( pic_in, pic_out, ntype )

string pic_in, pic_out, ntype

#	home$panic_scripts/p_norm.cl
#	Normalizes pic_in to the value of its 
#	mean, median, or mode; this is the 'type'.
#	'mean' or 'average' or 'avg' are OK 
#	'median' or 'med' or 'midpt' are OK
#	'mode' or 'mod'              are OK
#	Rev 29nov2003   SEP

begin
	real fac, fr_mean, fr_med, fr_mod

	p_store ( pic_in )

	if ( ntype == 'mean' || ntype == 'average' || ntype == 'avg' )	{
       	  keypar (pic_in, "FRMEAN", silent+)
       	  fac = real(keypar.value)
															} 
#
	if ( ntype == 'median' || ntype == 'med' || ntype == 'midpt' )	{
       	  keypar (pic_in, "FRMEDIAN", silent+)
       	  fac = real(keypar.value)
															} 
#
	if ( ntype == 'mode' || ntype == 'mod' )	{
       	  keypar (pic_in, "FRMODE", silent+)
       	  fac = real(keypar.value)
										}
# 
	pclear ( "dummy" ) ; imarith ( pic_in, "/", fac, "dummy" )

	if ( pic_in == pic_out ) pclear ( pic_in )  
        imrename ( "dummy", pic_out )
	p_store ( pic_out )
end
