package p_reduce

digiphot
apphot
stsdas
tables
toolbox
ttools
imgtools
noao
proto
imred
crutil
xdimsum

set stdimage=imt1024
set func0 = "home$panic_scripts/"

#  Utility scripts

task pclear               = func0$pclear.cl
task pcheck               = func0$pcheck.cl
task psorry               = func0$psorry.cl
task padindex             = func0$padindex.cl
task p_store              = func0$p_store.cl
task p_movie              = func0$p_movie.cl
task p_fmovie             = func0$p_fmovie.cl
task p_normalize          = func0$p_normalize.cl
task p_norm               = func0$p_norm.cl
task p_offset_level       = func0$p_offset_level.cl
task p_level              = func0$p_level.cl
task p_pre_list           = func0$p_pre_list.cl
task p_raw_list           = func0$p_raw_list.cl
task p_long_list          = func0$p_long_list.cl
task p_loopavg_sep        = func0$p_loopavg_sep.cl
task p_fix_cr             = func0$p_fix_cr.cl
task p_loop_expand        = func0$p_loop_expand.cl
task p_dan                = func0$p_dan.cl
task d55                  = func0$d55.cl
task d22                  = func0$d22.cl
    
#   Pipeline scripts

task p_1go                = func0$p_1go.cl
task p_2go                = func0$p_2go.cl
task p_3go		  = func0$p_3go.cl
task p_4go		  = func0$p_4go.cl
task p_rego               = func0$p_rego.cl

task p_mimdel             = func0$p_mimdel.cl
task p_linearize          = func0$p_linearize.cl
task p_defaults	          = func0$p_defaults.cl
task p_loops_combine      = func0$p_loops_combine.cl
task p_dark               = func0$p_dark.cl
task p_subdk              = func0$p_subdk.cl
task p_dflat              = func0$p_dflat.cl
task p_bpm                = func0$p_bpm.cl
task p_tflat              = func0$p_tflat.cl
task p_flatten            = func0$p_flatten.cl
task p_bp_mask            = func0$p_bp_mask.cl

task p_sky1               = func0$p_sky1.cl
task p_sky2               = func0$p_sky2.cl
task p_sky3               = func0$p_sky3.cl
task p_dither             = func0$p_dither.cl
task p_fx_offsets         = func0$p_fx_offsets.cl 
task p_fx_c_offsets        = func0$p_fx_c_offsets.cl 
task p_stk1               = func0$p_stk1.cl
task p_objmask            = func0$p_objmask.cl
task p_objmask2           = func0$p_objmask2.cl
task p_skysub             = func0$p_skysub.cl
task p_distcor            = func0$p_distcor.cl
task p_stack              = func0$p_stack.cl
task p_stack_crb          = func0$p_stack_crb.cl
task p_stack_var          = func0$p_stack_var.cl
task p_variance           = func0$p_variance.cl
task p_hchen              = func0$p_hchen.cl
task p_sort               = func0$p_sort.cl
task p_engr               = func0$p_engr.cl
task p_get_ngt            = func0$p_get_ngt.cl
task p_get_date		  = func0$p_get_date.cl
task p_mskedge            = func0$p_mskedge.cl
task p_crlast             = func0$p_crlast.cl


#   Scripts called from pipeline 

task p_lincor_sep         = func0$p_lincor_sep.cl
task p_zero_edges         = func0$p_zero_edges.cl
task p_edges              = func0$p_edges.cl
task p_avecomb            = func0$p_avecomb.cl
task $p_load              = func0$p_load.cl
task p_reset              = func0$p_reset.cl
task distcor              = func0$distcor.cl

#    Standard Star scripts

task p_std                = func0$p_std.cl
task p_get_std_mag        = func0$p_get_std_mag.cl
task p_tst                = func0$p_tst.cl
task p_tst_5              = func0$p_tst_5.cl
task p_tst_10             = func0$p_tst_10.cl
task p_yband_cal_1	  = func0$p_yband_cal_1.cl
task p_zavg		  = func0$p_zavg.cl

#    Observing and Pipeline Setup Scripts

task p_chk_headers        = func0$p_chk_headers.cl
task p_fix_headers        = func0$p_fix_headers.cl
task mk_crdlist           = func0$mk_crdlist.cl
task p_quick              = func0$p_quick.cl
task p_fid                = func0$p_fid_new.cl
task p_fid_c              = func0$p_fid_c.cl
task p_mfid		  = func0$p_mfid_new.cl

#    Stacking of stacks scripts

task stk_fix              = func0$stk_fix.cl
task stk_mfix             = func0$stk_mfix.cl
task stk_stk              = func0$stk_stk.cl
task stk_rename		  = func0$stk_rename.cl

#   Old scripts

task p_quick_stack        = func0$p_quick_stack.cl

clbye()
