procedure p_std ( p1, p2 )

int p1, p2
struct *list1

#	The photometric aperture size is 5 arseconds radius.
#	The stack is the output of p_stk1:  ave_isx_NNNNN

begin
	string isx_frame, root_name, fname
	string onumber1, onumber2
	string std, stdname, stdo, filtero
	string filter1, filter2, filter
	real x, y, x_std, y_std, xfid, yfid, airmass, a, std_mag
        real xfid_off2, xshift, yfid_off2, yshift
	int j, jmax

	p_pre_list ( "isx", p1, p2 )

	j = 0 ; airmass = 0.
	list1 = "" ; list1 = "isx_list"
	while ( fscan ( list1, isx_frame) != EOF )	{
 
	  keypar(isx_frame,"AIRMASS",silent+)
	  a = real(keypar.value)
	    airmass += a
	    j += 1
	    jmax = j
							}
	  airmass = airmass/jmax

	  padindex(p1) ; onumber1 = padindex.output
	  padindex(p2) ; onumber2 = padindex.output
	fname = "idf_"//onumber1

          keypar (fname//".fits", "XFID", silent+)
          xfid = real(keypar.value)
          keypar (fname//".fits", "YFID", silent+)
          yfid = real(keypar.value)
          keypar ("idf_"//onumber1//".fits", "XOFF2", silent+)
          xshift = real(keypar.value)
          keypar ("idf_"//onumber1//".fits", "YOFF2", silent+)
          yshift = real(keypar.value)

        xfid_off2 = xfid + xshift ; yfid_off2 = yfid + yshift
	pclear ( "xy.in" ) ; print (xfid_off2," ",yfid_off2,>>"xy.in")
	pclear ( "xy.out" ) ; pclear ( "xy.2" )

        display ("ave_isx_"//onumber1, 1, fill+, zs+, xmag=0.5,ymag=0.5)
	imexamine("ave_isx_"//onumber1,1,keeplog+,logfile="xy.out",imagecur="xy.in")

!	/usr/bin/tail -1 xy.out | awk '{ print $3, $4 }' > xy.2

	list1 = "" ; list1 = "xy.2"
	while ( fscan ( list1, x, y ) != EOF ) 		{
	  x_std = x
	  y_std = y
							}
	std = "stk_std_"//p1//"_"//p2
	pclear ( std )
	imrename ( "ave_isx_"//onumber1, std )

	hedit ( std,"X_STD",x,update+,add+,verify-)
	hedit ( std,"Y_STD",y,update+,add+,verify-)
	hedit ( std,"AIRMASS",airmass,update+,add+,verify-)

#	Call photometry program.
#	'p_tst' can be called any time after p_std has stored x,y,<airmass> in 
#	the stack header. 

	p_tst_10 ( p1, p2 )
	p_tst_5 ( p1, p2 )

end




