procedure p_zavg (date)

#ex. 'p_zavg 03Nov2003'

string date
struct *list1

#	This is just for averaging night_constants of the 
#	ngt_DATE_keep_Y1_10 files. If no night constant 
#	was found for a given filter, the value is -26.00, 
#	i.e., nonsensical. 

begin
	string ngtfile, path
	string f[4]
	real ng, sum
	real ngt[4]
	int k, i

	f[1] = "Y" ; f[2] = "J" ; f[3] = "H" ; f[4] = "K"

	pclear ( "ngt_Y" ) ; pclear ( "ngt_J" ) ; pclear ( "ngt_H" ) ; pclear ( "ngt_K" ) 

#	Get night constants out of 'ngt_date' file

	ngtfile = "ngt_"//date//"_keep_Y1_10"

	if ( access ( ngtfile ))	{

	pclear ("dumy") ; copy ( ngtfile, "dumy" )
	
	  !awk '$6 ~ /Y/ {print $8}' dumy >> ngt_Y
	  !awk '$6 ~ /J/ {print $8}' dumy >> ngt_J
	  !awk '$6 ~ /H/ {print $8}' dumy >> ngt_H
	  !awk '$6 ~ /K/ {print $8}' dumy >> ngt_K
					
	for ( i = 1 ; i <= 4 ; i += 1)			{

	  k = 0 ; sum = 0. ; ngt[i] = 26.00

	if ( access ( "ngt_"//f[i] ))	{

#	Average the values

	list1 = "" ; list1 = "ngt_"//f[i]
	while ( fscan ( list1, ng ) != EOF)	  {

	  k += 1
	  sum += ng
						  }
	if ( k >= 1 ) ngt[i] = sum/k
					
					} else {}
							}

#	Store night constants

	path = "home$panic_files/"
	printf ("%s%10.3f%10.3f%10.3f%10.3f\n", date,ngt[1],ngt[2],ngt[3],ngt[4], >> path//"night_constants_y1jhk")
	printf ("%s%10.3f%10.3f%10.3f%10.3f\n", date,ngt[1],ngt[2],ngt[3],ngt[4])

	}
end
