procedure p_zero_edges ( framein )

string framein
struct *list1

#  Sets to zero the edges of (typically) isx PANIC frames
#  Note that this also corrects the BPM maskframe in the same fashion. 

begin
	real frmedian, medval
	string mask
	int mamedian

	imreplace ( framein//"[1:1024,1003:1024]", value=0. )
	imreplace ( framein//"[1:1024,1:15]", value=0. )
	imreplace ( framein//"[1:15,1:1024]", value=0. )
	imreplace ( framein//"[1000:1024,1:1024]", value=0. )

	keypar ( framein, "BPM", silent+ )

	if (keypar.found)	{

	mask = str(keypar.value)

	pclear ( "mamed" )
	imstat ( mask, fields="midpt", > "mamed" )
   ! /usr/bin/tail -1 mamed > mamed_file
	list1 = "" ; list1 = "mamed_file"
	while ( fscan (list1, medval ) != EOF ) {}

	mamedian = 1 - int( medval + 0.2 )

	imreplace ( mask//"[1:1024,1003:1024]", value=mamedian )
	imreplace ( mask//"[1:1024,1:15]", value=mamedian )
	imreplace ( mask//"[1:15,1:1024]", value=mamedian )
	imreplace ( mask//"[1000:1024,1:1024]", value=mamedian )

				}
						
end
