procedure distcor(image, output, database)
#
# Apply a distortion correction to a PANIC image. Basically a straight call 
# to geotran. 
# 
#   Paul Martini
#   2004 Jul 16 
#
##############################################################################

string image 	{prompt = "Input image: "}
string output 	{prompt = "Output image: "}
string database	{"panic.map", prompt = "GEOMAP datbase file from mkdistxy: "}
# bool verbose	{yes, prompt = "Operate in verbose mode? "} 

begin 

  geotran (image, output, database, "panicdistgrid", geometr="geometric", xin=INDEF, yin=INDEF, xshift=INDEF, yshift=INDEF, xout=INDEF, yout=INDEF, xmag=INDEF, ymag=INDEF, xrotat=INDEF, yrotat=INDEF, xmin=INDEF, xmax=INDEF, ymin=INDEF, ymax=INDEF, xscale=1, yscale=1, ncols=INDEF, nlines=INDEF, xsample=1, ysample=1, interpo="linear", boundar="nearest", constan=0, fluxcon=yes, nxblock=1024, nyblock=1024, verbose-)

end

