procedure chk_icp_headers ( p1, p2 )

int p1, p2

#	Extracts header information from all picture numbers
#	in the range p1 through p2.

#	Usage:  chk_icp_headers 101 200 > 16oct2003
                                 p1  p2   'arb_name'

#	'arb_name' which can be edited to fix object and 
#	obstype parameters. See also 'fix_icp_headers.cl'

begin
	int i
	string pic, pre, onumber, image

	pre = "icp_"

for ( i = p1 ; i <= p2 ; i += 1) {

	padindex(i)	
	onumber = padindex.output
	image = pre//onumber//".fits"
	
if ( access ( image )) {
hselect ( image, "$I, object, obstype, filter, exptime, nloops, airmass, night", "yes" )		   
			   }
}
	
end
