procedure loop_combine ( arb_name ) 

string arb_name


struct *list1
struct *list2

#	
#	'arb_name' is the file containing the list of frames,
#	obstype, filter, int_time, loop, airmass, and night. 
#	Only frames p1 through p2 will be processed. 

#	'keep' = 1 means leave the raw 'irx_' frames on disk; 
#	'keep' = 0 means erase them.
#
#	k_min is the first frame of any loop to be used.
#	It has been kept as a parameter in case the first 1 or 2 pix are bad.
#
#	This script to be improved by taking out non-linear change
#	of sky level with time. 

begin
	int i, j, nmed, run, nloops
	int n1, n2
	real int_time, airmass
	string object, obstype, filter, night, keep
	string pic, pic_k 
	string pic_root, pic_icx, icx_root, pic_list

#	Get the chip and loop parameters from "reduce_parameters",
#	which must exist.

	list1 = ""  ;  list1 = "reduce_parameters"
	while ( fscan ( list1, n1, n2) != EOF ) { }
#	
#	nmed is the number of tflat images to median 
#	
	nmed = 5

	list1 = ""  ;  list1 = arb_name
	while ( fscan ( list1, pic, object, obstype, filter, int_time, nloops, airmass, night ) != EOF ) { 

	run = int(substr(pic,5,9))

	if ( run >= n1 && run <= n2 ) {

	print (run )
#
#	Expand frame names into lists
#	
	pic_icx = "nothing"
	expand_loop ( pic, 1)
	pic_root = substr(pic,1,11)
	icx_root = "icx_"//substr(pic,5,11)

	for ( j = 1 ; j <= 4 ; j += 1 ) {
	pic_list = pic_root//j//"_list"

	if ( access ( pic_list ) ) {

	  pic_icx  = icx_root//j  ;  pclear ( pic_icx )
#
#	to do: test loop; 

if ( obstype == "astro" || obstype == "standard" || obstype == "dark" || obstype == "test" || obstype == "dflat") {

	        if ( nloops >= 4 ){
imcombine("@"//pic_list,output=pic_icx,combine="average",scale="none",zero="median",reject="sigclip",lsigma=5.,hsigma=5.)
				}	else	{
imcombine("@"//pic_list,output=pic_icx,combine="average",scale="none",zero="none",reject="none")
				}

	    }  else if ( obstype == "sky" || obstype == "tflat") {

 imcombine("@"//pic_list,output=pic_icx,combine="median",zero="none",scale="mode",reject="sigclip",lsigma=5.,hsigma=5.)

	    }  else  { }

#	if ( keep == "0" || keep =="n" || keep == "N" || keep == "no" || keep == "No" ) imdelete ( "@"//pic_list )

			   }
		       }
	           }
	      }
end
