procedure make_raw_pic_list ( camera, p1, p2 )

string camera
int p1, p2

#	For irp (panic), irr (retrocam), or irx (wirc),
#	make a list of all frames that exist between 
#	frame numbers p1 and p2. 


begin

	string onumber, cam_prefix, frame
	int nloops
#
#	Set the frame prefix according to the camera
#
	if ( camera == 'w' || camera == 'W' camera == 'wirc' camera == 'WIRC' )	{
		cam_prefix = "irx_"
																		}
	if ( camera == 'r' || camera == 'R' camera == 'retro' camera == 'RetroCam' )	{
		cam_prefix = "irr_"
																				}
	if ( camera == 'p' || camera == 'P' camera == 'panic' camera == 'PANIC' )	{
		cam_prefix = "irp_"															
																			}
	pclear ( "raw_pic_list" )

	for ( i = p1; i <= p2 ; i += 1)		{
 	
	padindex(i) 
  	onumber = padindex.output
#
#	For PANIC or RetroCam write a file of all pictures taken:
#
	if ( cam_prefix == "irp" || cam_prefix == "irr" )	{

	  frame = cam_prefix//onumber

	if ( access ( frame//"_001.fits" ))	{

          imgets(frame//"_001.fits","NLOOPS",>&"dev$null")
          nloops=real(imgets.value)

 	print (frame//"_001.fits", > "raw_pic_list")

        for ( i = 2; i <= nloops; i+=1) {

          if (i < 10) { print (frame//"_00"//i//".fits", >> "raw_pic_list") }
          else if (i < 100) { print (frame//"_0"//i//".fits", >> "raw_pic_list ") }
          else { print (frame//"_"//i//".fits", >> "raw_pic_list ")
 
                                        }
									}
													}
#
#	For WIRC include chip numbers:

	if ( cam_prefix == "irx" )							{
#
	  for ( j = 1 ; j <= 4 ; j += 1 )	{

	  frame_c = cam_prefix//onumber//"_c"//j 

	  if ( access ( frame_c//"_001.fits" ) ) {
          imgets(frame_c//"_001.fits","NLOOPS",>&"dev$null")
          nloops=real(imgets.value)

       for ( i = 2; i <= nloops; i+=1) {

          if (i < 10) { print (frame_c//"_00"//i//".fits", >> "raw_pic_list") }
          else if (i < 100) { print (frame_c//"_0"//i//".fits", >> "raw_pic_list ") }
          else { print (frame_c//"_"//i//".fits", >> "raw_pic_list ")
 
                                        }
										}
									}
													}

end































