procedure movie (filelist,chip,delta)

##############################################################
#  Written by P McCarthy and J Wilson, 8/18/99		     #
#							     #
# For each dither sequence, finds offset of each frame w/r/t #
# the REFERENC frame by comparing frame's coordinates for a #
# user selected group of stars to the coordinates for those  #
# stars in the REFERENC frame. Writes offset values (in     #
# pixels) into the header of the isx and icx files as XOFF   #
# and YOFF, as well as the REFERENC frame  (keyword	     #
# REFERENC).						     #
# Input is a list of the isx*c1.fits files.		     #
# NOTE: Must start display tool before running this task     #
#							     #
##############################################################

struct	  *list1, *list2
string	  filelist	{prompt="List of isx*c1.fits input files"}
string	  chip    	{prompt="Chip number to use"}
real      delta         {prompt="delay bewteen images"}

begin

string	  filename, prename


# initialize variables

       set stdimage=imt1024

# loop through files calculating offset and new approx coodrs for fiducial;
  list1 = ""; list1=filelist
  while (fscan (list1,filename) != EOF)  {

           prename = substr(filename,1,9)

           display (prename//"_c"//chip, 1, xmag=1, ymag=1)
           sleep (delta)


           }
end
