procedure p_fix_icp_headers ( arb_name )

string arb_name
struct *list1

#	/home/persson/iraf/panic_scripts/p_fix_icp_headers.cl
#
#	Works with 'p_chk_icp_headers.cl' and the 
#	resulting filelist 'arb_name'.
#
#	Usage:  (1) run 'p_chk_icp_headers' 
#               (2) edit the 'arb_name' file to correct errors
#               (3) run 'p_fix_icp_headers' arb_name
#	
#	This will fix all the 'icp' frame header parameters

begin
	int i, nloops
	string pic, pre, frame, object, obstype, filter1, filter2, night
	real exptime, airmass


list1 = "" ; list1 = arb_name
while ( fscan ( list1, frame, object, obstype, filter1, filter2, exptime, nloops, airmass, night ) != EOF ) {

	if ( access ( frame )) 	{

	hedit ( frame, "object" , object , verify-, show- )
	hedit ( frame, "obstype", obstype, verify-, show- )
	hedit ( frame, "filter1" , filter1 , verify-, show- )
	hedit ( frame, "filter2" , filter2 , verify-, show- )
	hedit ( frame, "exptime", exptime, verify-, show- )
	hedit ( frame, "nloops" , nloops , verify-, show- )
	hedit ( frame, "airmass", airmass, verify-, show- )
	hedit ( frame, "night"  , night  , verify-, show- )
						}
																									}
end
