procedure p_make_bp_mask ( mask_list )

string mask_list
struct *list1

#	mask_list is a list of starting and ending 
#	idf frame numbers to imcombine

begin

	int nf
	string night, pic

	p_make_long_list ( mask_list )

	pclear ( "out1" ) ; pclear ( "out2" ) ; pclear ( "out3" )

	imcombine("@idf_list_1", output="out1", combine="median", scale="mode", zero="none")
	fmedian ( "out1", "out2", xwindow=5, ywindow=5 )
	imarith ( "out1", "-", "out2", "out3" )

	imreplace ( "out3", lower=INDEF, upper=-600, value=25000. )
	imreplace ( "out3", lower=600, upper=INDEF, value=25000. )
	imreplace ( "out3", lower=INDEF, upper=24998, value=0.0 )
	imreplace ( "out3", lower=500., upper=INDEF, value=1.0 )

	display ( "out3", 1, erase+, bor+, zs-, zr-, z1=-1, z2=1 )

	pclear ( "pic" )
	head ( "idf_list_1", nlines=1, > "pic" )

	list1 = "" ; list1 = "pic"
	while ( fscan (list1, pic ) != EOF )	{

	keypar (pic, "NIGHT", silent+ )
       	night = keypar.value

	pclear ( "mask_"//night//".pl" )
	imcopy ( "out3", "mask_"//night//".pl" )
										}

end
