procedure sub_mask (filelist)

#######################################################
#						      #
#  Written by P McCarthy and J Wilson, 8/19/99        #
#  This task is designed to take a list of images,    #
#  divide each pixel into a 2x2 block using blkrep    #
#  (which converts 1024 images to 2048), then shift   #
#  the images according to the "xoff" and "yoff"      #
#  offset values in the header, and imcombine them.   #
#						      #
#######################################################

struct	  *list1
file	  filelist	{prompt="List of input files"}

begin

# Declarations
  file        afile
  string      root, mask_done, day

# Make sure variables are clean

# Put images into a list file

          list1 = "" ; list1 = filelist

       while (fscan (list1,afile) !=EOF) {

        root = substr(afile,1,11)
 
        for (j=1; j<= 4; j+=1) {

               if (access (root//j//".fits")) {
       
           keypar(root//j, "BPM")
           day = str(keypar.value)
           keypar(root//j, "mask_in")
           mask_done = str(keypar.value)


           if (access (day//".pl") ) { 
           if (access ("b"//day//".pl") ) { }
           else {
              imcopy(day//".pl","b"//day//".pl")
              imreplace(day//".pl",lower=0.5,upper=INDEF,value=65000.)
                }
}
           else { 
           if (access (day//".pl") ) { }
             else {
              imcopy("/data/mabel/lcir/masks/"//day//".pl","b"//day//".pl")
              imreplace("b"//day//".pl",lower=0.5,upper=INDEF,value=65000.)
                }
                }


            if (mask_done == "yes") {
 
            imarith(root//j,"-","b"//day//".pl",root//j,verbose+)
            parkey ("no",root//j,"mask_in",add+)
              }


   }
# close for loop
   }
# close if access

   }
# close while
 
end
