procedure p_bpm ( flat )

string flat

#  /home/persson/iraf/panic_scripts/p_bpm.cl
#
#  05Aug2004: This routine now only used to make badpixel
#             masks. 
#  flat is a normalized dflat or twiflat.
#
#
#


begin
	string date, default_path
	real frmed

#  Get date out of header

	  keypar(flat, "NIGHT",silent+)
	  date = str(keypar.value)

#  Fit surface and add 1 so that mask has a median of unity.

	pclear ( "flat1" ) ; pclear ( "mask" )
	imsurfit ( flat, "flat1",4,4,type_ou="residual" )
	imarith ( "flat1", "+", 1., "flat1" )
	imcopy ( "flat1", "mask" )

#	Get rid of dead and hot pixels. A PIXEL CAN
#	HAVE A QE NO LESS THAN 66% or 150% RELATIVE TO THE MEDIAN OF ALL. 

	imreplace ( "flat1", value=1, lower=INDEF, upper=0.66 )
	imreplace ( "flat1", value=1, lower=1.5, upper=INDEF )

#	Now create badpixel mask using the same definitions of 'dead' and 'hot'
#	pixels. First flatten the 'mask'.

	imarith ( "mask", "/", "flat1", "mask" )
	p_norm ( "mask", "mask", "median" )

	imreplace ( "mask", value=0, lower=INDEF, upper=0.66 )
	imreplace ( "mask", value=0, lower=1.5, upper=INDEF )
	imreplace ( "mask[255:261,864:870]", 0 )
	imreplace ( "mask[289:291,128:130]", 0 )
	imarith ( 1., "-", "mask", "mask" )

	pclear ( "mask_"//date//".pl" )
	imcopy ( "mask.fits", "mask_"//date//".pl" )
	default_path = "home$/panic_files/bp_masks/"
#	pclear ( default_path//"mask_"//date//".pl")
#	copy ( "mask_"//date//".pl", default_path )

end





