procedure p_get_std_mag ( title, filter )

#  Looks up the magnitude of a standard in
#  "home$panic_stds/std_magnitudes_yjhk".
#  Allows 4 different versions of the name, e.g.,
#  sj9101 sj_9101 SJ9101 9101 
#
#  J H Ks  from Persson et al 1998. 
#  Ymag defined = J for now - july2004. 

string title, filter
struct *list1

begin
	string s1, s2, s3, s4, fil
	real y_mag, j_mag, h_mag, ks_mag, w_mag

	pclear ( "std_mag" )
	fil = substr(filter,1,1 )

	list1 = "" ; list1 = "home$panic_stds/std_magnitudes_yjhk"

	w_mag = 0.

while ( fscan ( list1, s1, s2, s3, s4, y_mag, j_mag, h_mag, ks_mag ) != EOF ) { 
 
        if ( title == s1 || title == s2 || title == s3 || title == s4 )   { 

                if ( fil == 'Y' )  w_mag = y_mag
		if ( fil == 'J' )  w_mag = j_mag
                if ( fil == 'H' )  w_mag = h_mag
                if ( fil == 'K' )  w_mag = ks_mag

				   } 
							    }
	if ( w_mag == 0. ) psorry ( "std magnitude "//filter )

	print ( title, "   ", filter, "   ", w_mag, > "std_mag" )
end
