procedure p_stack_var (p1, p2, sname)

int p1, p2
string    sname         {prompt="Root name for stacks"}
struct	  *list1, *list2

# Stack the variances associated with the isd files.  Uses the offsets already
#  in the headers of the isd files (so it is assumed p_stack has already been
#  run).
	
begin
	
	string	  filelist, filename, fname, onumber
	string    root_name
	string    root, keep, update, stack
	file	  offsets.dat
	real      xshift, yshift, xoff, yoff 
	int m 

   pclear ("offsets.dat") ; pclear ("flist")

	p_pre_list ( "isd", p1, p2 )
	filelist = "isd_list"

   # loop through files and get offsets, write to file
   list1 = ""; list1=filelist
   while (fscan (list1,filename) != EOF)  {
       root_name = substr(filename,1,9)
       onumber = substr(filename,5,9)

       keypar (root_name//".fits", "XOFF2", silent+)
       xshift = real(keypar.value)
       keypar (root_name//".fits", "YOFF2", silent+)
       yshift = real(keypar.value)

       print (root_name//".fits",>>"flist")
       print (xshift," ",yshift,>>"offsets.dat")
       pclear("one_"//onumber//".fits")
   }
   pclear("var_"//sname//".fits") ; pclear('zero.fits'); pclear('one.fits')
   pclear('N.fits'); pclear('flist2');  pclear('flist3')
   pclear("sigma_"//sname//".fits")

   ! sed 's/isd/vad/' < flist > flist2
   ! sed 's/isd/one/' < flist > flist3
   imarith('@flist', '*', 0.0, '@flist3')
   imarith('@flist3', '+', 1.0, '@flist3')

   imcombine("@flist2","var_"//sname//".fits",offsets="offsets.dat",combine="sum", masktyp="badvalue", maskval=1., scale="none")
   imcombine("@flist3","N.fits",offsets="offsets.dat",combine="sum", masktyp="badvalue", maskval=1., scale="none")
   imfunction('N.fits', 'N.fits', 'square')
   imarith("var_"//sname//".fits", '/', 'N.fits', "var_"//sname//".fits")
   imfunction("var_"//sname//".fits", "sigma_"//sname//".fits", 'sqrt')
   pclear("var"//sname//".fits")
end
