procedure p_store ( framein )

string framein
struct *list1

#	/home/persson/iraf/panic_scripts/p_store.cl
#	Store the mean, median, and mode of a frame in its header
#	Assumes a 1024 frame; omits 19 pixel border.
#
#	It does not matter if 'framein' has a '.fits' extension on it.
#
#	Rev  29nov2003     SEP	
#	Rev  08mar2004     SEP:
#	Because PANIC frames have bad-looking edges, restrict the 
#	section for imstat to be well within - leave a 40-pixel 
#	border.

begin

	real fr_mean, fr_med, fr_mod

	pclear ( "fr_stats" ) ; pclear ( "fr_stats_file" )
         imstat (framein//"[41:984,41:984]",fields="mean,midpt,mode",>"fr_stats")
             
        ! /usr/bin/tail -n 1 fr_stats > fr_stats_file

	list1 = "" ; list1 = "fr_stats_file"
	while ( fscan ( list1, fr_mean, fr_med, fr_mod ) != EOF ) {}

          hedit (framein,"FRMEAN", fr_mean,update+,add+,verify-)
          hedit (framein,"FRMEDIAN", fr_med,update+,add+,verify-)
          hedit (framein,"FRMODE", fr_mod,update+,add+,verify-)
end
