procedure p_subdk ( n1, n2 )

int n1, n2
struct *list1

#	Searches through 'icp' frames for non-dark frames
#	and subtracts the appropriate dark created by 'p_dark' 

begin
	int etime
	string icp_frame, icd_frame, root_name, type, padtime, date

	p_pre_list ( "icp", n1, n2 )

	list1 = ""; list1 = "icp_list"
	while (fscan (list1, icp_frame ) != EOF )	{

	keypar (icp_frame, "OBSTYPE", silent+)
	type = str(keypar.value)

	keypar (icp_frame, "NIGHT", silent+)
	date = "_"//str(keypar.value)

	if ( type != "dark" )	{

	  root_name = substr(icp_frame,5,9)
	  icd_frame = "icd_"//root_name
	  pclear ( icd_frame )

	keypar (icp_frame, "EXPTIME", silent+)
	etime = int(real(keypar.value))

	    padindex(etime) ; padtime = substr(padindex.output,3,5)

	  if ( access  ( "dk_"//padtime//date//".fits" ))	{
	  imarith ( icp_frame, "-", "dk_"//padtime//date, icd_frame )

	  hedit ( icd_frame,"DARK","dk_"//padtime//date,update+,add+,verify-)

									}	else	{

						psorry ( "dk_"//padtime//date )
									}

						}  else  {}

}
end
