import os
from pyraf import iraf

def pclear( input_name ):

   #  /home/persson/iraf/panic_scripts/pclear.cl
   #  If the file 'input_name' exists, it is deleted.
   #  If the file 'input_name.fits' exists, it is deleted.
   #  Rev 29nov2003    SEP

   if os.path.isfile(input_name+".fits" ):
      iraf.imdelete(input_name+".fits", verify=0)
   elif os.path.isfile( input_name ):
      os.unlink(input_name)
